Package net.snowflake.client.internal.core.minicore

## Class Minicore

- java.lang.Object
- - net.snowflake.client.internal.core.minicore.Minicore

    @SnowflakeJdbcInternalApi
    public class Minicore
    extends Object

### Field Summary

Fields
`static String` `DISABLE_MINICORE_ENV_VAR`
`static String` `LIBRARY_BASE_NAME`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Minicore` `getInstance()`
`MinicoreLibrary` `getLibrary()`
`MinicoreLoadResult` `getLoadResult()`
`static void` `initialize()`
`static void` `initializeAsync()`
`static boolean` `isDisabledViaEnvVar()`
`static void` `resetForTesting()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DISABLE_MINICORE_ENV_VAR

    public static final String DISABLE_MINICORE_ENV_VAR

See Also:
  Constant Field Values

#### LIBRARY_BASE_NAME

    public static final String LIBRARY_BASE_NAME

See Also:
  Constant Field Values

### Method Detail

#### initializeAsync

    public static void initializeAsync()

#### initialize

    public static void initialize()

#### getInstance

    public static Minicore getInstance()

#### getLibrary

    public MinicoreLibrary getLibrary()

#### getLoadResult

    public MinicoreLoadResult getLoadResult()

#### isDisabledViaEnvVar

    public static boolean isDisabledViaEnvVar()

#### resetForTesting

    public static void resetForTesting()